Keys
revoke_cli_session
Write grantDestructiveIdempotent
End one of your person's CLI sign-ins, such as on a computer they no longer use. The CLI there must sign in again. Needs write access.
Inputs
sessionstringRequiredThe sign-in's ID from list_cli_sessions, such as Cs8vN1qLm3Zx.
tools/callJSON-RPC
{ "jsonrpc": "2.0", "id": 1, "method": "tools/call", "params": { "name": "revoke_cli_session", "arguments": { "session": "Cs8vN1qLm3Zx" } }}POST/clanker/v1/cli-sessions:revoke
curl -X POST https://api.clankership.com/clanker/v1/cli-sessions:revoke \ -H "Authorization: Bearer $CLANKER_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "session": "Cs8vN1qLm3Zx" }'